device_type: ${DEVICE_TYPE}
job_name: RPB OE boot ${MACHINE} ${MANIFEST_BRANCH} ${BUILD_NUMBER}

timeouts:
  job:
    minutes: 45
  action:
    minutes: 10
  connection:
    minutes: 2
priority: 25
visibility: public

context:
  test_character_delay: 10

protocols:
  lava-lxc:
    name: lxc-hikey-oe
    template: debian
    distribution: debian
    release: stretch

actions:
- deploy:
    namespace: target
    timeout:
      minutes: 15
    to: tftp
    kernel:
      url: ${KERNEL_URL}
    nfsrootfs:
      url: ${NFSROOTFS_URL}
      compression: xz
    os: oe
- boot:
    namespace: target
    timeout:
      minutes: 10
    method: ipxe
    commands: nfs
    parameters:
      shutdown-message: 'reboot: Restarting system'
    auto_login:
      login_prompt: 'login:'
      username: root
      login_commands:
      - su
    prompts:
    - 'root@intel-core2-32:'
    - 'root@intel-corei7-64:'

metadata:
  machine: ${MACHINE}
  manifest branch: ${MANIFEST_BRANCH}
  manifest commit: ${MANIFEST_COMMIT}
  build url: ${BUILD_URL}
  build location: ${BASE_URL}${PUB_DEST}
